<?php
/*
Plugin Name: NBC ThemeChanger
Version: 1.0.d
Description: Permet d imposer un theme a une categorie (merci a P@t).
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=214
Author: Nicco
Author URI: http://gallery-nicco.no-ip.org
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('NBC_ThemeChanger_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');



add_event_handler('get_admin_plugin_menu_links','nbc_ThemeChanger_admin_menu');

/* Set the administration panel of the plugin */
function nbc_ThemeChanger_admin_menu($menu)
{
  array_push($menu,
    array(
      'NAME' => 'ThemeChanger',
      'URL' => get_admin_plugin_menu_link(NBC_ThemeChanger_PATH.'admin/nbc_ThemeChanger_admin.php')
    )
  );
    
  return $menu;
}



add_event_handler('loc_end_section_init', 'change_category_theme');

function change_category_theme()
{
  global $template, $page, $user, $conf;

  $conf_nbc_ThemeChanger = isset($conf['nbc_ThemeChanger']) ? explode(";" , $conf['nbc_ThemeChanger']) : array();
    
  $category_theme = array();
  
  foreach ($conf_nbc_ThemeChanger as $Theme_Cat)
  {
    $element_ThemeChanger = explode("," , $Theme_Cat);
    
    if ($element_ThemeChanger[0] <> '' and $element_ThemeChanger[1] <> '' and $element_ThemeChanger[2] <> '')
      $category_theme[$element_ThemeChanger[0]] = array( $element_ThemeChanger[1] , $element_ThemeChanger[2] );
  }

  if (isset($page['category']['id']) and isset($category_theme[$page['category']['id']]))
  {
    $user['template'] =  $category_theme[$page['category']['id']][0];
    $user['theme'] = $category_theme[$page['category']['id']][1];

    $template->Template(PHPWG_ROOT_PATH.'template/'.$user['template'], $user['theme']);
  }
}

?>
